> For the complete documentation index, see [llms.txt](https://docs.parqex.com/-MUyxAVrX9S4wky8UoX6/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parqex.com/-MUyxAVrX9S4wky8UoX6/oauth/overview.md).

# Overview

### ParqEx API Uses OAuth

All requests to the ParqEx service are governed by OAuth 2.0 ([quick primer](https://www.digitalocean.com/community/tutorials/an-introduction-to-oauth-2)) and follow the standard authorization-access token flow.

The ParqEx implementation closely follows [RFC 6749](https://tools.ietf.org/html/rfc6749).

### OAuth Flow Overview

When a user attempts to authorize their ParqEx account from your application, the following happens:

1. Your app generates the Authorization URL and displays the ParqEx login form to the user (see Step 1)
2. ParqEx attempts to authenticate the supplied credentials, and if successful, the user is asked to authorize access to their ParqEx account.
3. When the user authorizes access, an `authorization_code` is sent back to your app via a `GET` request (see Step 2)
4. Next, your app uses the `authorization_code` to request an `access_token` and `refresh_token` (see Step 3)&#x20;
5. Once you have an `access_token`, you can call the ParqEx API on the user's behalf (see Step 4)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parqex.com/-MUyxAVrX9S4wky8UoX6/oauth/overview.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
